Bug 491437 - ENH: add Vim syntax highlighting for Puppet configuration files
ENH: add Vim syntax highlighting for Puppet configuration files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 19:29 EDT by Cristian Ciupitu
Modified: 2009-06-24 07:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 07:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add emacs mode / vim syntax files to puppet (2.80 KB, patch)
2009-05-29 11:50 EDT, Todd Zullinger
no flags Details | Diff

  None (edit)
Description Cristian Ciupitu 2009-03-20 19:29:02 EDT
It would be nice if vim would offer syntax highlight for puppet configuration files ("*.pp").

The required files are:
http://reductivelabs.com/downloads/puppet/puppet.vim and
http://reductivelabs.com/downloads/puppet/filetype.vim (actually this should be appended to the current filetype.vim file)
Comment 1 Cristian Ciupitu 2009-03-20 19:32:45 EDT
You might find these links relevant: http://mail.madstop.com/pipermail/puppet-dev/2005-September/000188.html and http://projects.reductivelabs.com/issues/18 .
Comment 2 Cristian Ciupitu 2009-03-22 07:07:56 EDT
Jon Stanley has suggested (on #fedora-devel) to create a puppet-vim subpackage similar to protobuf-vim for protobuf.
Comment 3 Jon Stanley 2009-03-22 09:02:51 EDT
reassigning to the proper component
Comment 4 Todd Zullinger 2009-03-22 11:05:45 EDT
I did this a while back, but it just didn't seem too clean, so I never added it to the puppet packages.  Has anyone attempted to get the syntax files submitted and maintained upstream in vim?  I think that would be the best solution in the end, and would benefit the most people (with the least amount of overall effort).

Puppet also has emacs files, so if we're going to add a -vim sub-package, we probably ought to add an -emacs one as well (though I'm not an emacs user, so I wouldn't be well suited to creating and ensuring such a sub-package was correct).  I'm not sure that's worth the effort though.

Maybe we should just include ext/emacs and ext/vim in as %doc, so that users who want them can add them?
Comment 5 Jeroen van Meeuwen 2009-04-04 11:10:41 EDT
I see different components that we can use/add to the puppet package in Fedora/EPEL. How about I work on this for a while and you ping me some time this weekend on IRC?
Comment 6 Todd Zullinger 2009-05-29 11:50:04 EDT
Created attachment 345922 [details]
Patch to add emacs mode / vim syntax files to puppet

Ooops, I never did ping you about this Jeroen.  Thinking about it more, the idea of adding subpackages seems like more work than it's worth.  And I say this after having made and used a vim subpackage a while back.  I think an acceptable alternative is to add the emacs mode and vim syntax files to the puppet package and own the directories needed (%{_datadir}/emacs and %{_datadir}/vim/vimfiles).  In the case of emacs, a number of packages already do this.  This avoids having requirements on emacs-common and/or vim-common.

Does that sound alright or would subpackages be preferable to anyone?  I made emacs and vim subpackages to compare, which I can attach if there is interest.

While at it, I added the ext/ dir to %doc, so that other useful things from it can be more easily used by folks.

(Unrelated are the changes to make augeas and selinux requirements optional for people rebuilding.  I was just too lazy to pull those out to generate a diff without them.)
Comment 7 Jeroen van Meeuwen 2009-06-24 07:46:08 EDT
I checked in these changes in rawhide, and submitted a build. Waiting just a little bit with releasing to current branches so that I can do some more work on puppet (other bugs mainly)

Note You need to log in before you can comment on or make changes to this bug.